<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [setProductMarketTA1](./bitburner.warehouseapi.setproductmarketta1.md)

## WarehouseAPI.setProductMarketTA1() method

Set market TA 1 for a product.

<b>Signature:</b>

```typescript
setProductMarketTA1(divisionName: string, productName: string, on: boolean): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  productName | string | Name of the product |
|  on | boolean | market ta enabled |

<b>Returns:</b>

void

